ISVNWorkspaceMediator (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.io.ISVNWorkspaceMediator interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Interface ISVNWorkspaceMediator

public interface ISVNWorkspaceMediator

The ISVNWorkspaceMediator interface is used for temporary data storage (mainly instructions and new text data for deltas) as well as for caching and getting some kind of wcprops.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `SVNRepository.getCommitEditor(String, java.util.Map, boolean, org.tmatesoft.svn.core.SVNProperties, ISVNWorkspaceMediator)`, Examples

Method Summary
`SVNPropertyValue` | `getWorkspaceProperty(String path, String name)` Retrieves an item's WC property from a `".svn/wcprops"` administrative subdirectory.
`void` | `setWorkspaceProperty(String path, String name, SVNPropertyValue value)` Sets a new value for an item's WC property in a `".svn/wcprops"` administrative subdirectory.

Method Detail

### getWorkspaceProperty

    public SVNPropertyValue getWorkspaceProperty(String path,
                                                 String name)
                                          throws SVNException

  Retrieves an item's WC property from a `".svn/wcprops"` administrative subdirectory.

  Parameters:
    `path` - a WC item's path
    `name` - a property name
  Returns:
    the value for the property
  Throws:
    `SVNException`
  See Also:
    `setWorkspaceProperty(String, String, SVNPropertyValue)`

### setWorkspaceProperty

    public void setWorkspaceProperty(String path,
                                     String name,
                                     SVNPropertyValue value)
                              throws SVNException

  Sets a new value for an item's WC property in a `".svn/wcprops"` administrative subdirectory.

  Parameters:
    `path` - a WC item's path
    `name` - a property name
    `value` - a value for the property
  Throws:
    `SVNException`
  See Also:
    `getWorkspaceProperty(String, String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.